package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BStatTablePwxkWaterLifeIn;
import cn.cecep.talroad.vo.BStatTablePwxkWaterLifeInVo;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BStatTablePwxkWaterLifeInMapper extends BaseMapper<BStatTablePwxkWaterLifeIn> {
    int updateBatch(List<BStatTablePwxkWaterLifeIn> list);

    int updateBatchSelective(List<BStatTablePwxkWaterLifeIn> list);

    int batchInsert(@Param("list") List<BStatTablePwxkWaterLifeIn> list);

     List<BStatTablePwxkWaterLifeInVo> selectListAndFactory(BStatTablepPwxkWaterQuery strings);
}